### File

`packages/core/src/lib/components/euim-helper-text/euim-helper-text.component.ts`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
encapsulation | `ViewEncapsulation.None`
HostDirectives | `BaseStatesDirective` Inputs : color
selector | `euim-helper-text`
standalone | `true`
styleUrls | `./styles/_index.scss`
template |
    <p><ng-content></ng-content></p>

### Index

###### Properties
Public baseStatesDirective hasNoPadding
###### Methods
getCssClasses
###### HostBindings
class
###### Accessors
cssClasses

### Constructor

`constructor(baseStatesDirective: BaseStatesDirective)`
Parameters :
Name | Type | Optional
baseStatesDirective | `BaseStatesDirective` | No

### HostBindings

class
Type : `string`

### Methods

getCssClasses
`getCssClasses()`
Returns : `string`

### Properties

Public baseStatesDirective
Type : `BaseStatesDirective`

hasNoPadding
Default value : `input(false, { transform: booleanAttribute })`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""